Index: MLXMANIFEST
===================================================================
--- MLXMANIFEST	(revision 673)
+++ MLXMANIFEST	(revision 676)
@@ -7,5 +7,5 @@
 library/fnmatch.pyc	3414	4d50000f78e903598af06ef1c5cfb3ef
 library/libexpat-1.dll	143096	701659d3689bf4a8265b669b7d774255
-library/gtk/_gtk.pyc	549	d42e9527d3ee2164fb5ae82b6df9193c
+library/gtk/_gtk.pyc	549	befd50ff9e2f7d946b39a7605f7c7203
 library/encodings/cp858.pyc	7591	02054a0b8e91b9758826eb70cddf096f
 library/mlx/pirep.pyc	4623	2a008f269c900fb604b94b4e427f61b5
@@ -22,5 +22,5 @@
 doc/manual/hu/bugreport.png	12385	c71c7db56f19870ae5d6bb7f533d3679
 library/share/locale/hu/LC_MESSAGES/gtk20.mo	58794	6ee4491ae7bc9d3dfb778578eb29a0b3
-library/gobject/_gobject.pyc	573	0a7cdde120b41c139331e4b100b55497
+library/gobject/_gobject.pyc	573	458791f9fc1e0a8ca1f7e1f2732ecea8
 locale/en/LC_MESSAGES/mlx.mo	64494	5eb2e430656c49a02122e3ea54fe4698
 library/encodings/utf_7.pyc	1747	2beeb059236527197d6c640396476ce8
@@ -76,5 +76,5 @@
 library/_hashlib.pyd	287232	a1a18de0644f481749fcbcf26005eeaf
 doc/manual/en/monitorWindow.png	20886	42e08d10c758e21209c4c021f391dee7
-library/_hashlib.pyc	549	9d1449ad5c2733d366d8ecd554beb1fb
+library/_hashlib.pyc	549	993de568bf543f8de72a95c84a8e0a2e
 library/libpng14-14.dll	230529	f3a15497e25baaa721f96638d7a4d2f8
 library/copy.pyc	11674	30d1745c5e38ab170f8a0486fbebf305
@@ -137,6 +137,6 @@
 doc/manual/en/prefsAdvanced.png	16169	64c14e0842c413cac98b92926279f3e0
 library/mlx/pyuipc_sim.pyc	57203	d52ec571ccee59e3f1cdefc0ee07cc3f
-library/cairo/_cairo.pyc	561	42adc92b3da441f1a36520aa1030e37e
-library/win32file.pyc	552	e0f1fc70764c074b119a171cb45c5406
+library/cairo/_cairo.pyc	561	e543088b8a89700869e37855e32cc839
+library/win32file.pyc	552	afa0202f6df8b9afa31f0c1994f26fb3
 library/encodings/cp865.pyc	7868	7d40a7ba053ac23339218be8799e5397
 library/lib/gtk-2.0/2.10.0/engines/libwimp.dll	97984	a5bbbe46e1363aba9020a76f2d58e9d6
@@ -148,5 +148,5 @@
 library/share/locale/hu/LC_MESSAGES/gtk20-properties.mo	167125	cd1b1b3693c1e3c74bfcea20be640cc6
 conn_red.png	914	860388cb7c3b26b2f348fdbee40780ce
-library/bz2.pyc	534	ef0cee7d124218408fd4be653fdc2f1e
+library/bz2.pyc	534	fdc72d3dc1c8c0d47b1ab6a6a6d3927a
 library/xml/sax/expatreader.pyc	13563	4f64c0efb2f1f8dbba84cdb5c6036f2d
 library/email/utils.pyc	8840	a7be428df6fddee6121cfce55382d1f8
@@ -164,6 +164,6 @@
 library/mlx/gui/statusbar.pyc	4812	87773f7d0bd28ed6250acf1972110ca8
 library/warnings.pyc	12666	9788b5f45765e8204e04c820f2711094
-mlxupdate.exe	19456	849e14c3030acee808e62f1c567d4aaf
-library/mlx/const.pyc	6291	fd38ed045c8637f8157b6eb4b86e4c84
+mlxupdate.exe	19456	8fb0777c4e575cd4213cef2dacdfa9b5
+library/mlx/const.pyc	6291	b1c5794c5cf92d835bdd7a4a3adb3e97
 library/email/errors.pyc	3229	cdb78ab237e195ad69f059128bc03b1d
 library/linecache.pyc	3091	666e6f81b0ea9a7637f8068493f738d5
@@ -178,5 +178,5 @@
 library/shlex.pyc	7282	cbe1a4823894c97c87d01f9d9faf5b8f
 library/cairo/__init__.pyc	142	010dd7cc8485565d5782d60e92e4ba34
-library/_ssl.pyc	537	a4deba433ab8c5f11ce00d3007d80b7a
+library/_ssl.pyc	537	5a705ded490943f9d631ab84e0d2bb7d
 library/encodings/iso8859_8.pyc	2717	f3ad6ce58cfac9e3ca86cf5c2fef092b
 library/encodings/iso2022_jp_1.pyc	1699	faed9d5747e982cec9fa8b3ad8e1de26
@@ -198,6 +198,6 @@
 library/encodings/cp1252.pyc	2676	b4c43cc72650c911cf3654dbaf565df9
 library/share/locale/hu/LC_MESSAGES/atk10.mo	8465	e3f3466da367215aad971d7b0394229d
-library/unicodedata.pyc	558	8c14ae20fa949c404739e638d071bc7d
-library/select.pyc	543	c3a1e0b29b8e07cc001561a720d8f528
+library/unicodedata.pyc	558	069a317653d3805cf588ea82e49d1a6c
+library/select.pyc	543	309dda4fe43a5eb032d3771000814c70
 library/encodings/uu_codec.pyc	4646	5282a5fcb676851224d2924aa3e48a9e
 library/ConfigParser.pyc	23857	1d17020dd0000ce0f73de812effa152f
@@ -231,5 +231,5 @@
 doc/manual/hu/flightInfoTab.png	28786	3e8af27775131f02696b0912ca441f36
 library/encodings/utf_8_sig.pyc	4625	1b1405db186e5819fa271ff96c1ca2c5
-library/pangocairo.pyc	555	eb0dbc7d15c15e340d4ce01789c38c83
+library/pangocairo.pyc	555	51b67052153c52ea08289c34039f766a
 library/encodings/cp1255.pyc	2697	b265913c887f2e1c8736632b652c0093
 library/encodings/zlib_codec.pyc	4308	319c9073aff840436a03cc1fa0b08fb5
@@ -244,5 +244,5 @@
 library/intl.dll	152489	eb2d4c4d4a527bc88a69a16cc99afcf5
 library/encodings/mbcs.pyc	1883	2213911a7dd0deada6799b63e18b695b
-library/pyuipc.pyc	543	e1da2aeb44fdb48ca0c941d0176178d1
+library/pyuipc.pyc	543	975f3e7efba030b83325368af1b78917
 sounds/TOC.mp3	273032	fae1be2ad25c8b54806bd1d759919705
 library/encodings/iso8859_4.pyc	2678	16f2fe7994051752360c533c052b892b
@@ -268,11 +268,11 @@
 doc/manual/hu/flightSelection.png	30815	e8bcdda6079c6b16ffa72ca62c21ca85
 library/win32pipe.pyd	24064	de374eded459293b2a7eb8ed8fb38eaa
-library/win32pipe.pyc	552	f5104267e239b2c4109b5d948a49dd78
+library/win32pipe.pyc	552	06a9c91e116c41ce76537e83c2cda584
 doc/manual/hu/cruise.png	27460	a2610173563e45baae1b0f9e63007ebd
 doc/manual/hu/logTab.png	28706	f48004202310bd2a1cb2f873d8064e93
 library/encodings/iso2022_jp_2004.pyc	1723	66376e788f3819e781897268c1100986
-library/win32event.pyc	555	ecfbb3af67687d0ddacca2ed683aea03
+library/win32event.pyc	555	7ad407716f4da3c09d3d94e93e5a18e6
 library/encodings/cp866.pyc	8103	f36418dcf93b17b3ced63bd544f44159
-library/gio/_gio.pyc	549	2461bee4d985d3a5d192bf7a6cb5d818
+library/gio/_gio.pyc	549	c1f8802b674bf6b51b36eed66d4ce40f
 library/encodings/cp437.pyc	7874	63f1278c0a66129c6fb4f504d6b61b66
 doc/manual/hu/helpTab.png	27961	8e7cc4aeb8d7f40fcf186c7caf53583b
@@ -298,5 +298,5 @@
 library/mlx/gui/pirep.pyc	16749	7a295b28dbdad43b33c52d814be60792
 library/mimetypes.pyc	17806	927ce6a7079707aaee925e855ed23454
-library/_ctypes.pyc	546	fa8703f76c6249741ae3dcba18b7a395
+library/_ctypes.pyc	546	3ec3d21561e37bd7df13d8adb7a1b433
 library/mlx/gui/faultexplain.pyc	9707	3bda0c4c25476cd8c11e4d1c15c682bd
 sounds/F70taxi.mp3	154854	51332dc691d3519355f61ed06c959d8d
@@ -327,5 +327,5 @@
 doc/manual/en/gatesTab.png	29585	00ebc96a2b4a7473dbb6a3162a04192f
 library/bdb.pyc	17708	9a8fdcaa65f595c842689247847879d9
-library/mlx/gui/flight.pyc	126736	21edaf88ead3e980f45e72118adec854
+library/mlx/gui/flight.pyc	126827	051310f95cdace54889a29f50b804de8
 library/unittest/case.pyc	37758	1d2235e74c246b562c5c00ddf73c621a
 library/subprocess.pyc	38648	c9f749db06dfc9fb32079de51d6efd01
@@ -344,5 +344,5 @@
 library/encodings/cp863.pyc	7868	fc7ff06dab536b93c68fcb8e7bac713f
 library/xml/parsers/__init__.pyc	294	83f6a77ed8cd962b3c75c4779dc557ac
-library/pyexpat.pyc	546	026592c842ec21b0eb7f4f8e93a61552
+library/pyexpat.pyc	546	3c0a9ee8ef11bac3d2483a4291d03b43
 doc/manual/hu/gateSelection.png	29237	bac37e7001261a40a84e4202247f6052
 library/cmd.pyc	13512	808f813d5e354b7073a1356e44c7b554
@@ -370,5 +370,5 @@
 library/_socket.pyd	38400	5d273be76603399e88cf57f2605004bf
 sounds/ding.wav	80856	18e639792d3767436ac6955eb60e4f54
-library/_socket.pyc	546	b95936375962ab29981b395d970afa72
+library/_socket.pyc	546	113fac4c409a670ca961931607b5e6fd
 library/encodings/hex_codec.pyc	3520	a8b8d5b7c8810379c7007bcbc253951c
 library/mlx/checks.pyc	62721	9514d83bd268510e9a6a1f6f6bc38598
@@ -377,8 +377,8 @@
 doc/manual/en/pirepViewer.png	25098	7c545e70b995ac0f9fcae93fe5d0e899
 library/encodings/aliases.pyc	8750	75c22196420d0157fec085d285947a71
-library/glib/_glib.pyc	555	5019714dce0735ef56b440d0cb1e4ce6
+library/glib/_glib.pyc	555	da18f75ae685d4791a527b7e62cb6d58
 library/libpangowin32-1.0-0.dll	108945	d07f128828225b7cc38e9e590eb3ba8a
 library/encodings/iso8859_10.pyc	2693	5e6cc8f721486ddbc1c99da285e13191
-library/win32api.pyc	549	aa572af003c9b45107706f1fea4e5a56
+library/win32api.pyc	549	996950b2eab16752597c5a32d43ee594
 library/gobject/constants.pyc	1957	2e9cdc605e7c449ef4fc23f56128acec
 library/libgtk-win32-2.0-0.dll	4938115	cc6dca192aca6f91bd96a5b5f86e036d
@@ -428,5 +428,5 @@
 library/glib._glib.pyd	58368	0de636503e43c4eb00e80927bc9bda97
 library/mlx/config.pyc	30521	65905c678b3ce2769fd511c16a25a5ea
-library/atk.pyc	534	f6d6216e8642d33c10d61c10a93b3190
+library/atk.pyc	534	af3c341ecaf3b5962d16d25b6d85434b
 library/gio._gio.pyd	263168	acb8c95fdc391079bebdf7d8685b0dbc
 library/encodings/cp861.pyc	7868	c97a8970ce4d9f40cbafbea6576fbdca
@@ -438,5 +438,5 @@
 library/__future__.pyc	4177	43d264d951ac2085334c7b9dd4558595
 library/logging/__init__.pyc	54813	7bcdf2e8da474f5e94d8e499f6fc3ed4
-runmlx.exe	64000	903d48961638694992764da324eec53a
+runmlx.exe	64000	43a703d5ec8d6add751f5c36db6d5c79
 library/optparse.pyc	51253	39594a40bc1222173d57b7d5740e3d92
 library/mlx/fs.pyc	11863	3c15da06aabbbddde281238cf42d94c9
@@ -451,5 +451,5 @@
 library/glib/option.pyc	11891	bd90183c75d8f473ecf653e3d63a27f9
 library/StringIO.pyc	11100	f4eb4a2bb3d6fb0af925681c5375c673
-library/pango.pyc	540	f24f941eeee3cf8f8b1d56d233ce66ea
+library/pango.pyc	540	650333ddf7e38acede0c4e28edb99247
 Microsoft.VC90.CRT/msvcp90.dll	568832	6de5c66e434a9c1729575763d891c6c2
 library/sre_parse.pyc	18380	fe2376a101668be1124f9ee316662bab