Index: MLXMANIFEST
===================================================================
--- MLXMANIFEST	(revision 288)
+++ MLXMANIFEST	(revision 316)
@@ -3,5 +3,5 @@
 library/encodings/euc_jis_2004.pyc	1694	e12bbd059d4fd595cf4be5440ab439c2
 library/fnmatch.pyc	3414	4d50000f78e903598af06ef1c5cfb3ef
-library/gtk/_gtk.pyc	549	98b653b9fb434f57e067bae0133f6db3
+library/gtk/_gtk.pyc	549	d92f00807f3a965f1ffb3664fbd6f3bb
 library/encodings/cp858.pyc	7591	02054a0b8e91b9758826eb70cddf096f
 library/encodings/cp1254.pyc	2678	17ff2ac86f90886d5c73ed789f0499f3
@@ -30,5 +30,5 @@
 library/encodings/big5hkscs.pyc	1670	0ff54e70f21b5e4a359d3779367cba85
 library/encodings/utf_8.pyc	1806	4b8dee0284ea2f55c4142fcde7463524
-locale/hu/LC_MESSAGES/mlx.mo	41665	ea74dd579d69b48bfc7eb5aede50d233
+locale/hu/LC_MESSAGES/mlx.mo	41929	7487c3f6bf44f49d1ab00d095ab6faf7
 library/encodings/mac_roman.pyc	2716	4b4745eccfcb77860b70b374ac07fbcc
 library/ctypes/_endian.pyc	2154	c73aab798475f9961158ed4f6c07a70b
@@ -75,6 +75,6 @@
 library/UserDict.pyc	7920	c72896a5a8a1a3d93fa6ba23c50a04b0
 library/encodings/koi8_r.pyc	2700	fff1b35002b9e938b7ea6fd0fbe824ae
-library/mlx/gui/statusbar.pyc	4812	acb435681dfd391ecebe522029046fb9
-library/mlx/const.pyc	6868	3faf3585523c4e79c5fdd28d400f23cd
+library/mlx/gui/statusbar.pyc	4812	53ed1c86fb2f329db51496e2c9ca0ee7
+library/mlx/const.pyc	6895	8ad98a56717b37d35ea7f7383c57c1c0
 library/encodings/punycode.pyc	7570	335ff94e207934ae64e6f5fc07a5cacc
 library/encodings/shift_jisx0213.pyc	1710	1ec0383aafb1dcadb5f9b6afff16eb7f
@@ -89,5 +89,5 @@
 library/email/header.pyc	13339	f741f4c3543a278fec30f4d9bdd0f859
 library/share/locale/hu/LC_MESSAGES/atk10.mo	8465	e3f3466da367215aad971d7b0394229d
-library/select.pyc	543	2984f7b371d1928c3c69d9c404a89808
+library/select.pyc	543	6899565c2e02ec37aea1bf8876cae0a2
 library/encodings/uu_codec.pyc	4646	5282a5fcb676851224d2924aa3e48a9e
 library/ConfigParser.pyc	23857	1d17020dd0000ce0f73de812effa152f
@@ -96,6 +96,6 @@
 library/gettext.pyc	14675	606ad2e00535dd0f4fee5bd8d8562b29
 library/random.pyc	24831	54b2048974a5c98912276ffa5dc637a9
-library/mlx/soundsched.pyc	9214	bb11096af3afd349f01fa5c36567c35e
-library/mlx/logger.pyc	4997	f56816bb975c3aaa08a1caeed9212b9f
+library/mlx/soundsched.pyc	9214	91a7ebb3f5f01aba8b11c80bdca8080a
+library/mlx/logger.pyc	4997	7fff5eeb5ef5687989489e9ae3a2d243
 doc/manual/en/statusIcon1.png	6472	10a7158dd8655de3f18ba914eb2373a5
 library/encodings/string_escape.pyc	1907	5856af6d4b4bbbe84b0595434afe8d34
@@ -115,10 +115,10 @@
 library/os.pyc	25063	7c7eee513ae4238d1b2c16af719c10a0
 library/encodings/cp424.pyc	2669	4667015363f54bae44e98d4748e8acfa
-library/mlx/singleton.pyc	9071	b845ee7e73b76a52d1c27a7da5d3593f
+library/mlx/singleton.pyc	9071	b20e4a4db4b03000729079774822c254
 library/win32pipe.pyd	24064	de374eded459293b2a7eb8ed8fb38eaa
-library/win32pipe.pyc	552	06d6a67951d01084f63dc206fb769f62
+library/win32pipe.pyc	552	4ecaca4ef73aea0c0921ddb32abd1da3
 library/encodings/iso2022_jp_2004.pyc	1723	66376e788f3819e781897268c1100986
 library/encodings/cp866.pyc	8103	f36418dcf93b17b3ced63bd544f44159
-library/gio/_gio.pyc	549	d93a32e7cb39f47960e769693cfddb0f
+library/gio/_gio.pyc	549	40b373efb238091449c1496d1f72e2d4
 library/encodings/cp437.pyc	7874	63f1278c0a66129c6fb4f504d6b61b66
 doc/manual/hu/prefsSounds.png	20233	adbd6ca834ce6946e4c431cc0c82ae1f
@@ -141,18 +141,18 @@
 library/repr.pyc	5045	82f0d89c685c3dacd941e01e4b2f31ef
 library/quopri.pyc	6352	87c42d94f753dd4c8a761cfa79453bb8
-library/mlx/gui/monitor.pyc	9868	88b27751f949030f9c7a827a4dba7770
+library/mlx/gui/monitor.pyc	9868	43eaabec40d2f5acf22ab0025da9144b
 library/encodings/latin_1.pyc	2111	52427573ccbfd06220b67d5a9dd1376e
-library/mlx/update.pyc	16807	9870a75b51cbad549872d192c56ea348
+library/mlx/update.pyc	16807	aeb0f10f546cf1047a6458421c5fa327
 library/unittest/case.pyc	37758	1d2235e74c246b562c5c00ddf73c621a
 library/encodings/euc_jp.pyc	1646	c0d60e6d08161643bd7dbe651063f334
-library/mlx/acft.pyc	28397	1a1415a8b2e58471e83f9f84570eafe6
+library/mlx/acft.pyc	28551	4c354826aba6948a8c198fc074a2046a
 library/gobject._gobject.pyd	113152	3d05dd191361f83aa247b62c700fa04e
 doc/manual/hu/checklistEditor.png	27863	8c750892a52dc10ca654a9d0b2765358
 library/bisect.pyc	2971	ad8ce3e265b404ed3971b842106f8179
 library/string.pyc	18988	2347037ee5f3cf58afc10643e633d975
-library/mlx/mlx.pyc	2555	0a5f4e2b791ff824c27f7507061b9b1b
+library/mlx/mlx.pyc	2555	44c29ab1db787bf967508acabdc53c5a
 library/encodings/cp864.pyc	7999	ca90afae086cb6b8f69b8419cc3cd1cb
 library/pyexpat.pyd	152576	5a82e9ec95005aca6130751e5b961cc3
-library/pyexpat.pyc	546	7388f9e0f4efcb4c427c963c38b9e6f3
+library/pyexpat.pyc	546	83833def4d31dfa6609f7bcd5914835a
 library/unittest/loader.pyc	10884	591a785be23fba35582ce33bdd3d7acd
 library/ftplib.pyc	32043	5a1925388a0874e459aed6891f4cf0c1
@@ -162,10 +162,10 @@
 library/unittest/suite.pyc	9838	bf2c79bd4a6b6032f1ea53fa4908748f
 library/encodings/mac_arabic.pyc	7824	820deef79b02e1f7e52eb18e9be655bf
-library/mlx/gui/prefs.pyc	27085	23113c1412d35b2d771c688c28538c33
+library/mlx/gui/prefs.pyc	27085	49d24111b8f6709bcae53f0838d0b408
 library/encodings/tis_620.pyc	2748	5969b4db4f967b11ae7992cdfbf5890e
 library/encodings/cp855.pyc	8071	0a4259ba854c24186f2ce61d85883b4a
 Microsoft.VC90.CRT/msvcr90.dll	655872	e7d91d008fe76423962b91c43c88e4eb
 sounds/ding.wav	80856	18e639792d3767436ac6955eb60e4f54
-library/mlx/checks.pyc	43719	6a9c1e42ad48751115a4d5571fd14fcf
+library/mlx/checks.pyc	43878	6fa69c34606efd9313e6b9978416df12
 doc/manual/en/statusIcon2.png	5875	71fc121823dee0a4c00715fac1b5665c
 doc/manual/en/pirepViewer.png	22216	326127e30fa405919b337cc9920698ed
@@ -177,5 +177,5 @@
 library/encodings/euc_jisx0213.pyc	1694	88f34b9922eddbe5e1f3c77fd89e86f9
 w9xpopen.exe	49664	e6895233ad1e6f3dcdd04c7c26b0e7c0
-library/mlx/airports.pyc	4281	b46cf07a0acb29a9e7f4bfdcf53f422a
+library/mlx/airports.pyc	4308	b12afb3aac4954b717cd94e21c420ea1
 library/encodings/cp1026.pyc	2653	ced5dd0cc0da378b0968f82309b9bcfb
 library/win32api.pyd	98816	4a1ebd35719d263205eb014913b784bf
@@ -194,6 +194,6 @@
 library/encodings/hz.pyc	1614	876bb7c36683358c3e95005619b10541
 library/atk.pyd	208384	ebe7f0929eac23a3205d17d69906e172
-library/mlx/config.pyc	27247	2384c4a4cb2ae7cb9ff02c961e57731f
-library/atk.pyc	534	241e86fde96fecd41e4740deaf699815
+library/mlx/config.pyc	27247	ce7e5e56da5f8c7164ec9e4cb2c78cfb
+library/atk.pyc	534	7888881803cac7fd994849f586f73355
 library/gio._gio.pyd	263168	acb8c95fdc391079bebdf7d8685b0dbc
 library/encodings/cp861.pyc	7868	c97a8970ce4d9f40cbafbea6576fbdca
@@ -214,11 +214,11 @@
 doc/manual/en/finish.png	24584	546a6a52e811405f503b2b45b73a35c3
 library/libexpat-1.dll	143096	701659d3689bf4a8265b669b7d774255
-library/mlx/gui/info.pyc	5546	c902199775b5ca26f3b73d6dffdfc00d
+library/mlx/gui/info.pyc	5546	2a498059a6282a0c0d48eff8d07e6951
 library/encodings/iso8859_6.pyc	2723	c8f9aa14a6a2ebf05d977317114bc65d
 library/encodings/zlib_codec.pyc	4308	319c9073aff840436a03cc1fa0b08fb5
-library/mlx/gui/gui.pyc	44721	aa494cdf0642ba3a71e62e07bbcaf0bb
+library/mlx/gui/gui.pyc	45640	ef17f622e0e7e0b91aa5a2882accb1ee
 library/stat.pyc	2503	d3b6dc7a54e705219f04d0be75a212de
 doc/manual/hu/landing.png	25953	0c9f9fb4cafb81229e708acd05e5e4ce
-library/gobject/_gobject.pyc	573	ea3d2465cc88f3c5ce7fa50f5dbd0dcd
+library/gobject/_gobject.pyc	573	931fbdda20485e513bd5b6021046fef3
 library/encodings/utf_7.pyc	1747	2beeb059236527197d6c640396476ce8
 library/atexit.pyc	2083	595a09be339c73c3c02e378d99325d2a
@@ -231,9 +231,9 @@
 doc/manual/hu/monitorWindow.png	16582	e07cbd4f5b360e1e8e80bc8409ad242b
 library/pangocairo.pyd	17920	5fc69a7d29a6d3127710c64de440daa4
-library/pangocairo.pyc	555	d17c24ee6aab63a14a700bb508f4d0a9
+library/pangocairo.pyc	555	ef2c46f24210653274929a89288ff244
 doc/manual/hu/helpTab.png	25326	f83cf32e49d6de786df20885232aa1ee
 library/encodings/palmos.pyc	2876	9284ad53dcfd82dfae0a79923b1cf91d
 library/encodings/iso2022_jp_3.pyc	1699	ee1c3aa11bbe19eeb4deafa238563133
-library/mlx/gui/flight.pyc	98721	f16380204c54b20a4f1a2c42ef5ff434
+library/mlx/gui/flight.pyc	100802	4aba2fb860b63e6b6e7a85600fb24ea3
 library/lib/gtk-2.0/2.10.0/engines/libwimp.dll	97984	a5bbbe46e1363aba9020a76f2d58e9d6
 doc/manual/en/prefsGeneral.png	21263	d649561571a9ff91f5562993f5b34d16
@@ -246,31 +246,31 @@
 library/_hashlib.pyd	287232	a1a18de0644f481749fcbcf26005eeaf
 doc/manual/en/monitorWindow.png	16582	e07cbd4f5b360e1e8e80bc8409ad242b
-library/_hashlib.pyc	549	6252fb43ba95afd1f422f46b898e94ed
+library/_hashlib.pyc	549	18387741f3a3676963db6bf0c0ebf0df
 library/copy.pyc	11674	30d1745c5e38ab170f8a0486fbebf305
 library/unittest/result.pyc	7444	aefbb3cc79c0ff17787ce84faed7f5e8
 library/mlx/gui/__init__.pyc	107	22f268cac1c5be2f3a058810b6caead3
-library/mlx/pirep.pyc	4808	e38c5e7b3b3e32c755010c6188552f87
-locale/en/LC_MESSAGES/mlx.mo	38451	b3289df17e382de173972f7320d1a3e4
+library/mlx/pirep.pyc	5154	dbce8ac71fcc04527944cffb29fc11f9
+locale/en/LC_MESSAGES/mlx.mo	38801	82ac4c04219d07cd2d3325796ca07535
 library/traceback.pyc	11223	50ace5c2c6c040a923082442da94cd78
-library/mlx/flight.pyc	12375	a8bb3c52041af991142d276a2a54efd0
+library/mlx/flight.pyc	13502	6e1616538cd17b7463c050845d11c33c
 library/urllib2.pyc	43566	7eb57ea0dcd1086d1d9073a5cefb0903
 library/encodings/mac_farsi.pyc	2659	df751a61510129a25f7a43ae3aace4f7
 library/tokenize.pyc	13565	354d02cd79df187a28c1851a1e3bad96
 library/ctypes/__init__.pyc	18846	2bd183962453ae93d6887b303d3fd338
-library/mlx/acars.pyc	1690	06ac9e4ad5cc96b831a3c69868e6145a
+library/mlx/acars.pyc	1690	96ceda793dc57922cc6867845ac782b3
 library/encodings/cp865.pyc	7868	7d40a7ba053ac23339218be8799e5397
 sounds/taps.mp3	16614	d4a019c7e9342ae329aee6932d6a43c3
-library/cairo/_cairo.pyc	561	0a9d2cd39d40794df8581a6f983a6a05
+library/cairo/_cairo.pyc	561	3d777c25f0b8c5bf9d78a3b489258152
 library/warnings.pyc	12666	9788b5f45765e8204e04c820f2711094
 library/encodings/iso2022_jp_1.pyc	1699	faed9d5747e982cec9fa8b3ad8e1de26
 library/email/mime/__init__.pyc	110	bae57a199e3d0998a1364b9fbae8b3cd
-library/mlx/i18n.pyc	1972	a8dab34f2430f585d697e9850ef8305b
+library/mlx/i18n.pyc	1972	141a57905a2597e5ced25866d032d3a4
 library/_LWPCookieJar.pyc	5440	3782ae675165b232a3f78608ac2dbccd
-library/mlx/fsuipc.pyc	64163	7925fcd9a5c8df1ea79a297ab6db398f
+library/mlx/fsuipc.pyc	64634	38ec03cbdd1e2fb4170d67691d87d813
 library/xml/sax/__init__.pyc	3579	c78222ad1fd4f3dbdea06666fe74e84e
 doc/manual/en/connect.png	24272	01e31d899c4ede823423f705c6886f30
 library/encodings/charmap.pyc	3203	2358b8eb05c66e2a2826b5db6f214547
 library/libgdk-win32-2.0-0.dll	931390	a2b46daac3d4140efdf86429f7aea476
-library/mlx/gui/common.pyc	9448	757b629e18b7c6b608430200e037453b
+library/mlx/gui/common.pyc	9448	2e0117db2d58bfb2a7cd5125e6d74767
 library/dummy_threading.pyc	1265	5ab5c897721aeb346b5bccb84066c5bd
 doc/manual/hu/index.html	47588	fd83bee17f50bf3fd488d86f65563f7d
@@ -284,15 +284,15 @@
 library/encodings/iso8859_16.pyc	2695	85e819a29dec2b601ce978dcd5a040fc
 sounds/cpt_takeoff.mp3	8255	254edcf79b8b3752d1a7c191c57f615a
-library/bz2.pyc	534	56c34b0383286d5321e2f582b5f2f59c
+library/bz2.pyc	534	66e63a0f562237c5969db13d401e0474
 library/email/utils.pyc	8840	a7be428df6fddee6121cfce55382d1f8
-library/_ssl.pyc	537	f83757ce56ec2267871d78652b68dbca
+library/_ssl.pyc	537	503a9ef65e432624a95630127ce902e7
 library/encodings/iso2022_jp_2.pyc	1699	4b917caa926e5779176612409c66be39
 library/_ssl.pyd	720896	90826a140137efd0d806038828e16f8e
-library/pango.pyc	540	2c293b728abbff29f065dc58e43f038c
+library/pango.pyc	540	20d944bb8d7a305e9a46d942021fdd2f
 library/glib/__init__.pyc	187	d44c8c2772b263a36726ac0dcfc04b42
 library/pango.pyd	111616	c934763bdf125c3dc92b56db817001d4
 library/sre_compile.pyc	10792	c58f94fbee661f3bb0c59ecc13c0416e
 library/libgobject-2.0-0.dll	341594	356d697647a480562c4e2e921b13f8ed
-mlxupdate.exe	19456	7b1290faa36c7639b347e0190ea0308d
+mlxupdate.exe	19456	9bc0b1dfe6d8fcaa9ddbd1a7f0ccd236
 library/email/errors.pyc	3229	cdb78ab237e195ad69f059128bc03b1d
 library/linecache.pyc	3091	666e6f81b0ea9a7637f8068493f738d5
@@ -311,14 +311,14 @@
 library/encodings/utf_32.pyc	5336	912103fef3db6edc29a35dd0cfb5c5b9
 library/ntpath.pyc	11407	533c9331a1b72cc80dd3f88145ba4466
-library/mlx/gui/checklist.pyc	12279	c7aa3eeb693e4f36ea85f29575de715c
+library/mlx/gui/checklist.pyc	12279	0d648433bc36dd90e70dbd27c094733a
 library/_ctypes.pyd	106496	deccede0781726ce0daa75a4635bf919
 library/encodings/mbcs.pyc	1883	2213911a7dd0deada6799b63e18b695b
 library/unicodedata.pyd	688128	c856c31a03dc892e4f2aee93d0bfee44
-library/unicodedata.pyc	558	25ee27e856f549fd4f2acfab6b120c00
+library/unicodedata.pyc	558	f09ef89f61ca4a81912d01f92f1b95d0
 library/encodings/cp1256.pyc	2675	c1bf26ed9c9b5ee0eec495138993cffb
 library/email/base64mime.pyc	5221	c536d6f0c03f029bba77f15ef6ba3d99
 logo.png	69816	4a7517b22cfd75cc9c15e3fc1b7ebeec
 library/libpangoft2-1.0-0.dll	815421	1dbfead06e26edb81f0849490210e3ff
-library/mlx/util.pyc	4495	06c33139694e8fabaf690194f6b125d4
+library/mlx/util.pyc	4495	96ca4913ce70e7cca26f4f857abca733
 library/encodings/cp775.pyc	7888	25bf7dd514dff294aa02d5119399b2b7
 library/libfontconfig-1.dll	279059	dd583bedc5efe7bbd21a8ef107dec88d
@@ -326,5 +326,5 @@
 doc/manual/hu/flightSelection.png	27734	560275c030f373691ca59e99c4ba686e
 library/locale.pyc	48754	a51d20267132acc6bc66ac6252cf870f
-library/mlx/gui/weighthelp.pyc	13203	76bdf0e09af8598021d764703d578448
+library/mlx/gui/weighthelp.pyc	13179	09924037c8e067c96c1e7acd88671ed1
 doc/manual/hu/prefsAdvanced.png	14520	75c7bd6ef50c31a9080df52fbe33a85a
 library/encodings/euc_kr.pyc	1646	af2a5eaf1ea334c3f3bd60ea13db33a9
@@ -337,6 +337,6 @@
 library/email/charset.pyc	13200	771aee9802116e673d08b44bc0450f99
 library/sre.pyc	499	92bb633daa0bab6550ec0e3677673b5b
-library/mlx/web.pyc	31250	ead3f299fb0e6f77f7107c8e0bb4345d
-library/mlx/gui/gates.pyc	5384	b4f9b4e5d696609a643a529d15458e61
+library/mlx/web.pyc	31375	88fb0b75f324b143c9b02d5199985e38
+library/mlx/gui/gates.pyc	5384	9f6acad03872832505e31406a1b6762b
 library/gobject/propertyhelper.pyc	8878	cc3598dab17d31ff46a6dee669ccb5ed
 library/intl.dll	152489	eb2d4c4d4a527bc88a69a16cc99afcf5
@@ -351,5 +351,5 @@
 library/encodings/unicode_escape.pyc	1996	32990583f1caf874e556087da7b92971
 doc/manual/hu/logTab.png	29189	d3cbae223d547919d9954fc535856298
-library/win32file.pyc	552	7a13e3aede072dc988f9ae20fc840526
+library/win32file.pyc	552	af26d4eadacfaf03a7a036aff8780a68
 library/encodings/shift_jis_2004.pyc	1710	f8bb22a8b02dba2b66b7f77122c98fd6
 library/encodings/cp856.pyc	2701	8b6649490089bedd87e9b8c56985f6b3
@@ -359,8 +359,8 @@
 doc/manual/hu/debugLogTab.png	27832	486a922bd1f671bd43a50007882774b1
 library/weakref.pyc	13028	5d1c14275f47e8cf6d40bc6877fde976
-library/mlx/fs.pyc	9250	a2780d210ce75df7a345a7e659e1c6fb
+library/mlx/fs.pyc	9250	5d1981c022b82e25d6a2e2b140f28d05
 library/nturl2path.pyc	1755	7835082f2dd6806f99cc25bed13ff7dc
 library/win32file.pyd	111616	25ecaa0a381c6fd9ba4080bea63b952e
-library/mlx/gui/pirep.pyc	16269	e0727ceb74fafcd827de210206e7481e
+library/mlx/gui/pirep.pyc	16780	5ab67746951c811112af5368260ecaa5
 library/mimetypes.pyc	17806	927ce6a7079707aaee925e855ed23454
 sounds/F70taxi.mp3	154854	51332dc691d3519355f61ed06c959d8d
@@ -374,9 +374,9 @@
 library/libgdk_pixbuf-2.0-0.dll	285194	e4c64b0e7e4c6606f3973a16c0c1ee84
 library/xml/sax/handler.pyc	12528	655e21f07d79d8cde1d7af6fe0d9c2db
-library/mlx/gui/update.pyc	11427	b36c195163e122e597d25e8caae9ffd5
+library/mlx/gui/update.pyc	11427	903cdcb4529c2131de98c8a9e9cd1aa4
 doc/manual/en/gatesTab.png	25611	6de724fef235fcdb11a5c960f9f40502
 library/keyword.pyc	2063	4d5bab044f614cfdabe89011cd3d7375
 library/encodings/cp862.pyc	8003	261df6dd1a6e5ad90a83dfc739a25e0a
-library/mlx/gui/statusicon.pyc	5604	0c8c2a27e99ba9dc1a3e6a0ad3976c67
+library/mlx/gui/statusicon.pyc	5604	35e220fbfbb7e36839bd4ea8d75e42b9
 library/share/locale/hu/LC_MESSAGES/gtk20-properties.mo	167125	cd1b1b3693c1e3c74bfcea20be640cc6
 library/encodings/cp863.pyc	7868	fc7ff06dab536b93c68fcb8e7bac713f
@@ -390,17 +390,17 @@
 library/encodings/cp1251.pyc	2673	cb5ce7a7207c53f1d9e7cae48b3fb258
 library/encodings/koi8_u.pyc	2686	b7e5a52eaaaf6b340075b40dc7596f42
-library/_ctypes.pyc	546	2098907e4346917a3861e333c808874f
-library/win32event.pyc	555	4c0af715b266ab28efd5e35622e89bd1
+library/_ctypes.pyc	546	fabe33cda6576eeb7acc3d3ff825e3c1
+library/win32event.pyc	555	e085023aad9ed353dbc4cb013428f5f1
 library/subprocess.pyc	38648	c9f749db06dfc9fb32079de51d6efd01
 library/encodings/utf_16_le.pyc	1854	dfa68705c26fd303adfc7ce3322166f2
 library/_socket.pyd	38400	5d273be76603399e88cf57f2605004bf
-library/_socket.pyc	546	77a41ddd786fce44c16889ab3076e053
+library/_socket.pyc	546	1c54fb3400b2ae5f60da5c6c6e01aa93
 library/encodings/hex_codec.pyc	3520	a8b8d5b7c8810379c7007bcbc253951c
-library/mlx/sound.pyc	6252	d7494805b1e57af97106bc39e666bd27
-library/glib/_glib.pyc	555	769860b7d6af4fd5a5cc5c880eebd6d9
-library/win32api.pyc	549	0b093261423b29ceee749f1c0d670b38
+library/mlx/sound.pyc	6252	c73a077f96c5eec86413c20478100288
+library/glib/_glib.pyc	555	190e714b055c31dfead97559b8d94052
+library/win32api.pyc	549	b4f43fb0b95aa6ed22996839f15ce87e
 library/encodings/iso8859_13.pyc	2696	f901ae0bbcfbb78f0c1783e89b2e2dc5
 doc/manual/en/index.html	43186	514e4fb692890232af69c31183f50c98
-library/mlx/gui/callouts.pyc	16060	0bc87f4947d99bcf0fb0dcb6de19d2a4
+library/mlx/gui/callouts.pyc	16060	2e120c6e554d8d68459a52791e374789
 library/encodings/iso8859_15.pyc	2693	b892f358bbc25ae9d3824be158aabe28
 doc/manual/hu/prefsMessages.png	21073	ecd3344f2773c73e5cc71b8569ff9c7f
@@ -415,5 +415,5 @@
 doc/manual/hu/gatesTab.png	28445	1212d2135d8e7dbd52fba0704355b0ff
 library/webbrowser.pyc	18138	c85009edebad6d278fe786fec10ebbbe
-library/mlx/pyuipc_sim.pyc	47579	2786dd7ed68244bf92a57cccfe0b1a31
+library/mlx/pyuipc_sim.pyc	47579	29eea3e352d03792ff5d51cf90cb239d
 library/encodings/cp875.pyc	2636	c72faa5d1cb6105ae81c971448fea479
 library/dis.pyc	6068	3934ab23d64f3da393305b19df0f1fd0
@@ -425,5 +425,5 @@
 library/libgthread-2.0-0.dll	44287	7ad6f303082b382bff7bafbab246c61f
 library/select.pyd	11776	d90bf525f9f6c9c3aa6532fa6e569b4f
-library/pyuipc.pyc	543	f76b0f33a58b8624cf59371e414f07e3
+library/pyuipc.pyc	543	3c982165287dfe4539f19d2e854a44a1
 doc/manual/en/logTab.png	26304	33ceb3d1ea4c1d899e11c1af8a641c6c
 library/pyuipc.pyd	129220	58cdce7763687f456383c93fd3404d9f
@@ -431,5 +431,5 @@
 library/encodings/quopri_codec.pyc	3365	01342d4d2735bcbfeb333d784297547a
 library/logging/__init__.pyc	54813	7bcdf2e8da474f5e94d8e499f6fc3ed4
-runmlx.exe	64000	b84bea3d2342b378ed210d07631937cf
+runmlx.exe	64000	74c492c76d7b9c8bc20997ca62866e49
 library/inspect.pyc	38547	836f659fad54f5ee7e8f9d565003aacd
 library/pickle.pyc	36348	2b55640f6f4e2fd70d95482fd16bfb73