Index: MLXMANIFEST
===================================================================
--- MLXMANIFEST	(revision 318)
+++ MLXMANIFEST	(revision 322)
@@ -7,5 +7,5 @@
 library/fnmatch.pyc	3414	4d50000f78e903598af06ef1c5cfb3ef
 library/libexpat-1.dll	143096	701659d3689bf4a8265b669b7d774255
-library/gtk/_gtk.pyc	549	592860b0a407e591c13085da172df110
+library/gtk/_gtk.pyc	549	a030054942e7de72f059710eccd76167
 library/encodings/cp858.pyc	7591	02054a0b8e91b9758826eb70cddf096f
 library/mlx/pirep.pyc	5154	dbce8ac71fcc04527944cffb29fc11f9
@@ -22,5 +22,5 @@
 library/encodings/cp932.pyc	1638	e060301989634a7fb30ded375011cb09
 library/share/locale/hu/LC_MESSAGES/gtk20.mo	58794	6ee4491ae7bc9d3dfb778578eb29a0b3
-library/gobject/_gobject.pyc	573	3109bb5a2aefbd14024d4e7c45aba08c
+library/gobject/_gobject.pyc	573	85fc1590de1382bc82e116aa0f4685dd
 library/encodings/utf_7.pyc	1747	2beeb059236527197d6c640396476ce8
 doc/manual/hu/pirepViewer.png	25089	47fd4cbd140cedcd5f972b16ef484ba0
@@ -73,5 +73,5 @@
 library/_hashlib.pyd	287232	a1a18de0644f481749fcbcf26005eeaf
 doc/manual/en/monitorWindow.png	16582	e07cbd4f5b360e1e8e80bc8409ad242b
-library/_hashlib.pyc	549	a49f1fbc492fbd5bfc433a56ef555928
+library/_hashlib.pyc	549	e93727b38732f6e4e7a1ca16d3ed99a6
 library/libpng14-14.dll	230529	f3a15497e25baaa721f96638d7a4d2f8
 library/copy.pyc	11674	30d1745c5e38ab170f8a0486fbebf305
@@ -114,5 +114,5 @@
 library/encodings/mac_latin2.pyc	4717	564dbaf5c296a147203eb821dc2466ba
 library/encodings/utf_16_be.pyc	1854	84a1d1465453727af051eaeeb853782f
-library/mlx/fsuipc.pyc	66610	301dba8ae3f46d8f62e4ad4a493ff8af
+library/mlx/fsuipc.pyc	66917	b2de0170069cd796bf69cfbf37528e88
 library/xml/sax/__init__.pyc	3579	c78222ad1fd4f3dbdea06666fe74e84e
 doc/manual/en/connect.png	24272	01e31d899c4ede823423f705c6886f30
@@ -132,6 +132,6 @@
 sounds/767taxi.mp3	160496	4cb43cda6e1214fbe15328a716827345
 doc/manual/en/prefsAdvanced.png	13720	d43a6df9991d331ce8fdc9fedae514c3
-library/cairo/_cairo.pyc	561	dc20bc51984615e75b8c16de54bc2587
-library/win32file.pyc	552	104993b12a979d1ef65f4ded35db703d
+library/cairo/_cairo.pyc	561	066b1d2ae7b18ade89c1ee657d054f7b
+library/win32file.pyc	552	b5a827510e02317f459a33fdf7510cd5
 library/encodings/cp865.pyc	7868	7d40a7ba053ac23339218be8799e5397
 library/lib/gtk-2.0/2.10.0/engines/libwimp.dll	97984	a5bbbe46e1363aba9020a76f2d58e9d6
@@ -142,5 +142,5 @@
 library/share/locale/hu/LC_MESSAGES/gtk20-properties.mo	167125	cd1b1b3693c1e3c74bfcea20be640cc6
 conn_red.png	914	860388cb7c3b26b2f348fdbee40780ce
-library/bz2.pyc	534	a7e67fe9b168bec4aa893bfe7c8b65ae
+library/bz2.pyc	534	f757fd52fb876fe80e8b5d2aebe17451
 library/xml/sax/expatreader.pyc	13563	4f64c0efb2f1f8dbba84cdb5c6036f2d
 library/email/utils.pyc	8840	a7be428df6fddee6121cfce55382d1f8
@@ -158,6 +158,6 @@
 library/mlx/gui/statusbar.pyc	4812	53ed1c86fb2f329db51496e2c9ca0ee7
 library/warnings.pyc	12666	9788b5f45765e8204e04c820f2711094
-mlxupdate.exe	19456	8f60e7f985ebd7d6c340ca96c6b4c2d0
-library/mlx/const.pyc	6955	06b30f81ba370ce1d1e42cc768faed57
+mlxupdate.exe	19456	5b48f2689835b7a21b1a5e98673802e3
+library/mlx/const.pyc	6955	65fb5ee0f8ec90149d16e02ab12e6966
 library/email/errors.pyc	3229	cdb78ab237e195ad69f059128bc03b1d
 library/linecache.pyc	3091	666e6f81b0ea9a7637f8068493f738d5
@@ -172,5 +172,5 @@
 library/shlex.pyc	7282	cbe1a4823894c97c87d01f9d9faf5b8f
 library/cairo/__init__.pyc	142	010dd7cc8485565d5782d60e92e4ba34
-library/_ssl.pyc	537	33a0138d685c0b85f6e63b8cc844721e
+library/_ssl.pyc	537	7c95d1896be6dd23069c04ec672e652b
 library/encodings/iso8859_8.pyc	2717	f3ad6ce58cfac9e3ca86cf5c2fef092b
 library/encodings/iso2022_jp_1.pyc	1699	faed9d5747e982cec9fa8b3ad8e1de26
@@ -192,5 +192,5 @@
 library/encodings/cp1252.pyc	2676	b4c43cc72650c911cf3654dbaf565df9
 library/share/locale/hu/LC_MESSAGES/atk10.mo	8465	e3f3466da367215aad971d7b0394229d
-library/unicodedata.pyc	558	f10a3f235f28ee0086ae9cba77f98af0
+library/unicodedata.pyc	558	5d7f2f4d53704cf534f5fc70f74fc356
 library/encodings/uu_codec.pyc	4646	5282a5fcb676851224d2924aa3e48a9e
 library/ConfigParser.pyc	23857	1d17020dd0000ce0f73de812effa152f
@@ -223,5 +223,5 @@
 doc/manual/hu/flightInfoTab.png	22378	5f3e77393d8693fec723590daeedb50a
 library/encodings/utf_8_sig.pyc	4625	1b1405db186e5819fa271ff96c1ca2c5
-library/pangocairo.pyc	555	055864d69bdf6517c341134cbfc2a108
+library/pangocairo.pyc	555	4e6df57a4101fa3bde4838a65b1f910e
 library/encodings/cp1255.pyc	2697	b265913c887f2e1c8736632b652c0093
 library/encodings/zlib_codec.pyc	4308	319c9073aff840436a03cc1fa0b08fb5
@@ -236,5 +236,5 @@
 library/intl.dll	152489	eb2d4c4d4a527bc88a69a16cc99afcf5
 library/encodings/mbcs.pyc	1883	2213911a7dd0deada6799b63e18b695b
-library/pyuipc.pyc	543	7730226357ca8b4647b83f5444184da3
+library/pyuipc.pyc	543	7cff8bcff528e2b80efd9087cddb7d9a
 sounds/TOC.mp3	273032	fae1be2ad25c8b54806bd1d759919705
 library/encodings/iso8859_4.pyc	2678	16f2fe7994051752360c533c052b892b
@@ -260,10 +260,10 @@
 doc/manual/hu/flightSelection.png	27734	560275c030f373691ca59e99c4ba686e
 library/win32pipe.pyd	24064	de374eded459293b2a7eb8ed8fb38eaa
-library/win32pipe.pyc	552	956160589ce92b7a7c023f2067cffb16
+library/win32pipe.pyc	552	e88878ef5603ad8005e17857572f15ca
 doc/manual/hu/logTab.png	29189	d3cbae223d547919d9954fc535856298
 library/encodings/iso2022_jp_2004.pyc	1723	66376e788f3819e781897268c1100986
-library/win32event.pyc	555	c5d2c3f447a2aac78cb6ff5cac338d94
+library/win32event.pyc	555	f7842a3d06cf71585248e34145f0ecf6
 library/encodings/cp866.pyc	8103	f36418dcf93b17b3ced63bd544f44159
-library/gio/_gio.pyc	549	10c28f1495e471b3e1f71f3135505316
+library/gio/_gio.pyc	549	bd2e9687b8374fefbdc86759f2e2e1a1
 library/encodings/cp437.pyc	7874	63f1278c0a66129c6fb4f504d6b61b66
 doc/manual/hu/helpTab.png	25326	f83cf32e49d6de786df20885232aa1ee
@@ -287,5 +287,5 @@
 library/mlx/gui/pirep.pyc	16780	5ab67746951c811112af5368260ecaa5
 library/mimetypes.pyc	17806	927ce6a7079707aaee925e855ed23454
-library/_ctypes.pyc	546	6079ed1e2e83631ab77c0b0d55d31232
+library/_ctypes.pyc	546	738fadfb9f8bc01b2b3dc944cc8a976e
 sounds/F70taxi.mp3	154854	51332dc691d3519355f61ed06c959d8d
 library/encodings/cp857.pyc	7611	1b46c8959ac097b73e1c680d464cdc32
@@ -317,5 +317,5 @@
 library/unittest/case.pyc	37758	1d2235e74c246b562c5c00ddf73c621a
 library/subprocess.pyc	38648	c9f749db06dfc9fb32079de51d6efd01
-library/mlx/acft.pyc	28616	551800056d39b7cd2bb9877a1738246f
+library/mlx/acft.pyc	29195	b261d06a043fdc6e7a75e7e98b227303
 library/gobject._gobject.pyd	113152	3d05dd191361f83aa247b62c700fa04e
 doc/manual/hu/checklistEditor.png	27863	8c750892a52dc10ca654a9d0b2765358
@@ -330,5 +330,5 @@
 library/encodings/cp863.pyc	7868	fc7ff06dab536b93c68fcb8e7bac713f
 library/xml/parsers/__init__.pyc	294	83f6a77ed8cd962b3c75c4779dc557ac
-library/pyexpat.pyc	546	0b8d3201d3b8a2d90af1afb9d29d132d
+library/pyexpat.pyc	546	4a385a50209d104939d78f382a3ac2af
 doc/manual/hu/gateSelection.png	26472	aa5a7d5602ec8544d1aed25b731a2460
 logo.png	69816	4a7517b22cfd75cc9c15e3fc1b7ebeec
@@ -355,15 +355,15 @@
 library/_socket.pyd	38400	5d273be76603399e88cf57f2605004bf
 sounds/ding.wav	80856	18e639792d3767436ac6955eb60e4f54
-library/_socket.pyc	546	3010a93310f2acac037916d648188437
+library/_socket.pyc	546	171780b2af40e3ed27e2db5e51c94ad6
 library/encodings/hex_codec.pyc	3520	a8b8d5b7c8810379c7007bcbc253951c
-library/mlx/checks.pyc	44752	a539d13c13d458f22c491978e349f163
+library/mlx/checks.pyc	50669	aababf5f2af9b65403e929c13a8219b4
 doc/manual/en/statusIcon2.png	5875	71fc121823dee0a4c00715fac1b5665c
 library/mlx/sound.pyc	6252	c73a077f96c5eec86413c20478100288
 doc/manual/en/pirepViewer.png	22216	326127e30fa405919b337cc9920698ed
 library/encodings/aliases.pyc	8750	75c22196420d0157fec085d285947a71
-library/glib/_glib.pyc	555	9df34d2016f340c76d0f4f8e7992a176
+library/glib/_glib.pyc	555	eb3c2be00a75918ba7bf1059ae8ceca2
 library/libpangowin32-1.0-0.dll	108945	d07f128828225b7cc38e9e590eb3ba8a
 library/encodings/iso8859_10.pyc	2693	5e6cc8f721486ddbc1c99da285e13191
-library/win32api.pyc	549	ab54730a20e66abd276c7b1a60a697b3
+library/win32api.pyc	549	c5e05b03662ac3182aec4f76b7435ad2
 library/gobject/constants.pyc	1957	2e9cdc605e7c449ef4fc23f56128acec
 library/libgtk-win32-2.0-0.dll	4938115	cc6dca192aca6f91bd96a5b5f86e036d
@@ -394,5 +394,5 @@
 library/webbrowser.pyc	18138	c85009edebad6d278fe786fec10ebbbe
 library/sre_compile.pyc	10792	c58f94fbee661f3bb0c59ecc13c0416e
-library/mlx/pyuipc_sim.pyc	51464	bc93f241a8b719e184e2771c504e96c5
+library/mlx/pyuipc_sim.pyc	52186	8cbbb97d3eaf8dc4e5bbf8fd6f9a9b20
 library/encodings/iso8859_9.pyc	2678	88880e046738ebd2012c8034416a9adf
 library/encodings/cp875.pyc	2636	c72faa5d1cb6105ae81c971448fea479
@@ -407,10 +407,10 @@
 library/email/iterators.pyc	2266	b8a0df35815bc00be1ed8ece42aac537
 library/encodings/hz.pyc	1614	876bb7c36683358c3e95005619b10541
-library/select.pyc	543	ca06e04f40cb243bd074a86ab24e32ec
+library/select.pyc	543	ffcf2cb0c55a4325780fe67a2b760580
 library/encodings/iso2022_jp.pyc	1683	40c2b92127f99452f84b250c2b4b2cda
 library/libgthread-2.0-0.dll	44287	7ad6f303082b382bff7bafbab246c61f
 library/glib._glib.pyd	58368	0de636503e43c4eb00e80927bc9bda97
 library/mlx/config.pyc	27247	ce7e5e56da5f8c7164ec9e4cb2c78cfb
-library/atk.pyc	534	ff32feba840de9bb03394e76c22328c8
+library/atk.pyc	534	2064322b67ce73799001b26d9e983806
 library/gio._gio.pyd	263168	acb8c95fdc391079bebdf7d8685b0dbc
 library/encodings/cp861.pyc	7868	c97a8970ce4d9f40cbafbea6576fbdca
@@ -422,7 +422,7 @@
 library/__future__.pyc	4177	43d264d951ac2085334c7b9dd4558595
 library/logging/__init__.pyc	54813	7bcdf2e8da474f5e94d8e499f6fc3ed4
-runmlx.exe	64000	f8115d934950477848160263f65f514e
+runmlx.exe	64000	aa3779ecec03eb2ef1acfdb98d5e1b72
 library/optparse.pyc	51253	39594a40bc1222173d57b7d5740e3d92
-library/mlx/fs.pyc	9741	225709ffedd319e57a8e20e75455d5cd
+library/mlx/fs.pyc	10155	e3d0662b7f05449ab50a0c6f9e8f3a17
 library/inspect.pyc	38547	836f659fad54f5ee7e8f9d565003aacd
 library/pickle.pyc	36348	2b55640f6f4e2fd70d95482fd16bfb73
@@ -433,5 +433,5 @@
 library/glib/option.pyc	11891	bd90183c75d8f473ecf653e3d63a27f9
 library/StringIO.pyc	11100	f4eb4a2bb3d6fb0af925681c5375c673
-library/pango.pyc	540	e9b43171b253e29868dd4ca5acaafbba
+library/pango.pyc	540	95ced2f3142623ada0f5fd42c1b1224e
 Microsoft.VC90.CRT/msvcp90.dll	568832	6de5c66e434a9c1729575763d891c6c2
 library/sre_parse.pyc	18380	fe2376a101668be1124f9ee316662bab